plugins {
    alias(libs.plugins.android.application)
}

android {
    packaging {
        resources.excludes.add("META-INF/DEPENDENCIES");
        resources.excludes.add("META-INF/NOTICE");
        resources.excludes.add("META-INF/LICENSE");
        resources.excludes.add("META-INF/LICENSE.txt");
        resources.excludes.add("META-INF/NOTICE.txt");
    }
    namespace 'net.micode.notes'
    compileSdk 35

    defaultConfig {
        applicationId "net.micode.notes"
        minSdk 24
        targetSdk 35
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }
}

dependencies {

    implementation libs.appcompat
    implementation libs.material
    implementation libs.activity
    implementation libs.constraintlayout
    //implementation fileTree(dir: 'E:\\MY AS\\project\\MyApplication\\httpcomponents-client-4.5.14-bin\\lib', include: ['*.aar', '*.jar'], exclude: [])
    implementation(files("E:\\MY AS\\project\\MyApplication\\httpcomponents-client-4.5.14-bin\\lib\\httpclient-osgi-4.5.14.jar"))
    implementation(files("E:\\MY AS\\project\\MyApplication\\httpcomponents-client-4.5.14-bin\\lib\\httpclient-win-4.5.14.jar"))
    implementation(files("E:\\MY AS\\project\\MyApplication\\httpcomponents-client-4.5.14-bin\\lib\\httpcore-4.4.16.jar"))
    testImplementation libs.junit
    androidTestImplementation libs.ext.junit
    androidTestImplementation libs.espresso.core
}


apply plugin: 'org.sonarqube'
sonar
        {
            properties
                    {
                        property "sonar.sourceEncoding", "UTF-8"
                        property "sonar.sources", "src/main/java"
                    }
        }